package mx.com.amx.mx.dda.crn.dto;


import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_T_CONTRATO_SAP_SUBNUM. Se usa para el manejo de las operaciones BD. 
 */

public class ContratoSAPSubnumDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_REGISTRO_SAP;
	private String ID_CONTRATO;
	private String ID_TITULO_CNT;
	private String ID_TITULO_CNTORIG;
	private String AUMENTO;
	private String DISMINUCION;
	private String FECHA_SAP;
	private String SUBNUMERO;
	private String FECHA_WS;
	private String FLG19;

	public String getID_REGISTRO_SAP() {
		return ID_REGISTRO_SAP;
	}
	public void setID_REGISTRO_SAP(String iD_REGISTRO_SAP) {
		ID_REGISTRO_SAP = iD_REGISTRO_SAP;
	}
	public String getID_CONTRATO() {
		return ID_CONTRATO;
	}
	public void setID_CONTRATO(String iD_CONTRATO) {
		ID_CONTRATO = iD_CONTRATO;
	}
	public String getID_TITULO_CNT() {
		return ID_TITULO_CNT;
	}
	public void setID_TITULO_CNT(String iD_TITULO_CNT) {
		ID_TITULO_CNT = iD_TITULO_CNT;
	}
	public String getID_TITULO_CNTORIG() {
		return ID_TITULO_CNTORIG;
	}
	public void setID_TITULO_CNTORIG(String iD_TITULO_CNTORIG) {
		ID_TITULO_CNTORIG = iD_TITULO_CNTORIG;
	}
	public String getAUMENTO() {
		return AUMENTO;
	}
	public void setAUMENTO(String aUMENTO) {
		AUMENTO = aUMENTO;
	}
	public String getDISMINUCION() {
		return DISMINUCION;
	}
	public void setDISMINUCION(String dISMINUCION) {
		DISMINUCION = dISMINUCION;
	}
	public String getFECHA_SAP() {
		return FECHA_SAP;
	}
	public void setFECHA_SAP(String fECHA_SAP) {
		FECHA_SAP = fECHA_SAP;
	}
	public String getSUBNUMERO() {
		return SUBNUMERO;
	}
	public void setSUBNUMERO(String sUBNUMERO) {
		SUBNUMERO = sUBNUMERO;
	}
	public String getFECHA_WS() {
		return FECHA_WS;
	}
	public void setFECHA_WS(String fECHA_WS) {
		FECHA_WS = fECHA_WS;
	}
	public String getFLG19() {
		return FLG19;
	}
	public void setFLG19(String fLG19) {
		FLG19 = fLG19;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_REGISTRO_SAP: _" + this.getID_REGISTRO_SAP() + "_" + NEW_LINE);
		result.append(" ID_CONTRATO: _" + this.getID_CONTRATO() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNT: _" + this.getID_TITULO_CNT() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNTORIG: _" + this.getID_TITULO_CNTORIG() + "_" + NEW_LINE);
		result.append(" AUMENTO: _" + this.getAUMENTO() + "_" + NEW_LINE);
		result.append(" DISMINUCION: _" + this.getDISMINUCION() + "_" + NEW_LINE);
		result.append(" FECHA_SAP: _" + this.getFECHA_SAP() + "_" + NEW_LINE);
		result.append(" SUBNUMERO: _" + this.getSUBNUMERO() + "_" + NEW_LINE);
		result.append(" FECHA_WS: _" + this.getFECHA_WS() + "_" + NEW_LINE);
		result.append(" FLG19: _" + this.getFLG19() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
